homepage/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story6.urls'),name = 'activity'),
]

story6/urls.py
from django.urls import path

from . import views

app_name = 'story6'

urlpatterns = [
    path('', views.activity, name='activity'),
    path('delete/<str:pk>', views.delete, name='activityDelete'),
    path('delete/member/<str:pk>', views.deleteMember, name='memberDelete')
]

story6/models.py
from django.db import models

# Create your models here.


class Activity(models.Model):
    activity = models.CharField(max_length=100)
    def __str__(self):
        return self.activity

class Member(models.Model):
    member = models.CharField(max_length=100)
    aktivitas = models.ForeignKey(Activity, on_delete=models.CASCADE)
    def __str__(self):
        return self.member

story6/forms.py
from django import forms
from .models import Activity, Member

class ActivityForm(forms.ModelForm):
    class Meta:
        model = Activity
        fields = '__all__'
        widgets = {
            'activity' : forms.TextInput(attrs={
                'class': 'form-control',
                'placeholder': "Activity"}),
        }

class MemberForm(forms.ModelForm):
    class Meta:
        model = Member
        fields = '__all__'
        widgets = {
            'member' : forms.TextInput(attrs={
                'class': 'form-control',
                'placeholder': "Join"}),
        }

story6/views.py
from django.shortcuts import render,redirect
from .models import Member, Activity
from .forms import MemberForm ,ActivityForm
from django.contrib import messages
# Create your views here.
def activity(request):
    if request.method == "POST":
        formA = ActivityForm(request.POST)
        formB = MemberForm(request.POST)
        if formA.is_valid():
            formA.save()
            messages.success(request, (f"Kegiatan {request.POST['activity']} sucessfully added!"))
            return redirect('story6:activity')
        elif formB.is_valid():
            formB.save()
            messages.success(request, (f"{request.POST['member']} sucessfully joined!"))
            return redirect('story6:activity')
        else:
            messages.warning(request, (f"Invalid input"))
            return redirect('story6:activity')
    else:
        formA = ActivityForm()
        formB = MemberForm()
        activities = Activity.objects.all()
        members = Member.objects.all()
        context = {
            'formA' : formA,
            'formB' : formB,
            'activities' : activities,
            'members' : members
        }
        return render(request, 'story6/index.html', context)

def delete(request,pk):
    activity = Activity.objects.get(id=pk)
    activity.delete()
    messages.warning(request, (f"Kegiatan {activity} sucessfully deleted!"))
    return redirect('story6:activity')

def deleteMember(request,pk):
    member = Member.objects.get(id=pk)
    member.delete()
    messages.warning(request, (f"{member} sucessfully deleted!"))
    return redirect('story6:activity')

story6/templates/story6/base.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    {% block title %}
    <title>Story 6</title>
    {% endblock title%}
    <style>
      #nav-custom{
        color: #FBFEF9;
        font-family: 'Barlow', sans-serif;
        font-weight: 600;
        font-size: 1.667vw;
      }
    </style>
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">

   <ul class="nav justify-content-center" id="nav-id">
    <li class="nav-item">
      <a class="nav-link" id="nav-custom" href="http://story1-indi.herokuapp.com/" id="nav-id">Story 1</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" id="nav-custom" href="http://profile-indi.herokuapp.com" id="nav-id">Story 4</a>
    </li>

  </ul> 

  </head>
  <body>
  
    {% block content %}
    {% endblock content%}

  </body>
</html>

story6/templates/story6/index.html
{% extends 'story6/base.html'%}
{% block content %}

<div class="container py-4">
    <style>
        body {
        background-color:#CD8B76;;
        }
    </style>
    

    <Form method="POST" class="row my-5">
        {% csrf_token %}
        <div class="col-7 ml-auto">
            {{ formA.activity }}
        </div>
        <button type="submit" class="btn btn-info col-2 mr-auto">Add</button>
    </Form>
    <hr>
    {% if messages %}
    {% for message in messages %}
    <div class="alert alert-{{ message.tags }} alert-dismissible fade show mt-4" role="alert">
        {{ message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    {% endfor %}
    {% endif %}
    <div class="d-flex justify-content-around flex-wrap pb-4">
        {% for activity in activities %}
        <div class="card bg-light mt-5" style="width: 18rem;">
            <div class="card-header">
                <div class="row">
                    <h5 class="col-10 mb-2">{{ activity }}</h5>
                    <a href="{% url 'story6:activityDelete' activity.id %}" class="col-2">
                        <button type="button" class="close mb-2">&times;</button>
                    </a>
                </div>
            </div>
            <div class="card-body">
                <h6 class="card-title">Members:</h6>
                <p></p>
                <ul>

                    {% for member in members %}
                    {% if member.aktivitas.id == activity.id %}
                    <li class="row">
                        <h5 class="col-10">{{ member }}</h5>
                        <a href="{% url 'story6:memberDelete' member.id %}" class="col-2">
                            <button type="button" class="close">&times;</button>
                        </a>    
                    </li>
                    {% endif %}
                    {% endfor %}

                </ul>
                <form method="POST">
                    {% csrf_token %}
                    {{ formB.member }}
                    <input name="aktivitas" type="text" value="{{ activity.id }}" style="display: none;">
                    <button type="submit" class="btn btn-outline-info col-6 mt-2">Join</button>
                </form>
            </div>
        </div>
        {% endfor %}
    </div>
</div>

{% endblock content %}